Bug 212640 - DVDs fail to automount in Gnome
DVDs fail to automount in Gnome
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: hal (Show other bugs)
6
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
Brock Organ
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-27 16:06 EDT by Andy Pastuszak
Modified: 2013-03-05 22:47 EST (History)
21 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 12:35:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
lshal output before loading (95.08 KB, application/octet-stream)
2006-10-30 20:51 EST, Marcos Martins da Silva
no flags Details
lshal output after load the disc (97.22 KB, application/octet-stream)
2006-10-30 20:56 EST, Marcos Martins da Silva
no flags Details
Output of lshal and vol_id (970 bytes, text/plain)
2006-11-13 17:40 EST, Zoltan Kota
no flags Details
Possible fix for HAL DVD recognition problem (4.07 KB, application/octet-stream)
2007-01-02 04:33 EST, Paul
no flags Details
lshal output, no disc in drive (3.63 KB, text/plain)
2007-01-03 13:54 EST, Mike Breen
no flags Details
lshal o/p - DVD in drive (6.18 KB, text/plain)
2007-01-03 13:57 EST, Mike Breen
no flags Details
Improved potential fix for HAL DVD bug. Place in /usr/share/hal/fdi/information/95userpolicy/ (966 bytes, text/plain)
2007-01-04 10:47 EST, Paul
no flags Details
verbose hald output showing internal and external cdrom & dvd attempts (61.99 KB, text/plain)
2007-01-30 19:55 EST, Martin Tullier
no flags Details
verbose hald output showing internal and external cdrom & dvd attempts (61.99 KB, text/plain)
2007-01-30 19:56 EST, Martin Tullier
no flags Details
verbose hald output showing internal and external cdrom & dvd attempts (61.99 KB, text/plain)
2007-01-30 19:56 EST, Martin Tullier
no flags Details

  None (edit)
Description Andy Pastuszak 2006-10-27 16:06:02 EDT
Description of problem:

I am unable to automount any DVD-ROMs in Gnome on Fedora Core 6.  CD-ROMs mount
just fine and I can burn CD-Rs no problem.  I can manually mount DVDs from the
command line.

Version-Release number of selected component (if applicable):


How reproducible:

Every time

Steps to Reproduce:
1. Insert DVD
2. Wait....
3. Observe that it does not appear on the GNOME desktop
  
Actual results:

DVD does not show on the desktop

Expected results:

DVD should show on the desktop.

Additional info:

The machine originally had a CD-ROM in it and was upgraded to a DVD/CD-RW combo
drive.
Comment 1 Andy Pastuszak 2006-10-27 16:07:19 EDT
Forgot one last thing.  In my log I get the following line:

Oct 27 15:09:17 localhost kernel: cdrom: This disc doesn't have any tracks I
recognize!
Comment 2 Ian Kent 2006-10-27 23:51:17 EDT
(In reply to comment #0)
> Description of problem:
> 
> I am unable to automount any DVD-ROMs in Gnome on Fedora Core 6.  CD-ROMs mount
> just fine and I can burn CD-Rs no problem.  I can manually mount DVDs from the
> command line.

I don't think this has anything to do with autofs.
Can you post the map entry in which you specify this cdrom?

> 
> Version-Release number of selected component (if applicable):
> 
> 
> How reproducible:
> 
> Every time
> 
> Steps to Reproduce:
> 1. Insert DVD
> 2. Wait....
> 3. Observe that it does not appear on the GNOME desktop

autofs has never worked like this.
Perhaps the problem is with hald.

Ian
Comment 3 Andy Pastuszak 2006-10-28 12:17:56 EDT
I am not sure what you mean by map entry.  Are you looking for the manual mount command I used to 
mount the DVD ROM?

There is a thread on this subject on www.fedoraforum.org:

http://www.fedoraforum.org/forum/showthread.php?t=133502
Comment 4 Ian Kent 2006-10-29 08:52:56 EST
(In reply to comment #3)
> I am not sure what you mean by map entry.  Are you looking for the manual
mount command I used to 
> mount the DVD ROM?
> 
> There is a thread on this subject on www.fedoraforum.org:
> 
> http://www.fedoraforum.org/forum/showthread.php?t=133502
> 

This is nothing to do with autofs or the automount program.
Perhaps the hal maintainer is awre of this issue.

Ian

Comment 5 Andy Pastuszak 2006-10-29 14:29:47 EST
I don't know if this is helpful, but I will cut and paste this from Fedoraforum.org:

"I have the same problem here: all types of CD work fine, but no DVD (data or
movie) is automounted. I have read something about DMA on several Linux forums,
but it's not my case because hdparm shows my DMA is enabled on /dev/hdc and I
can play my dvd movies from mplayer with no performance problem. Perhaps the
problem is related to specific hardware because I have installed FC 6 on another
machine where dvd works as expected. My current machine (the affected one) is an
Asus A8N-E with SATA support and the other (where dvd works) has no SATA just
the old IDE.."

The 3 machines I see affected all have SATA controllers in them, though the DVD
drives are on the IDE controller.  I am about to rebuild a laptop with no SATA.
 I will report back on whether or not that allows me to automount DVDs.
Comment 7 Marcos Martins da Silva 2006-10-29 19:43:07 EST
Another piece of information: HAL looks to be running fine. With gnome-hal
opened I put audio CD, data CD, video DVD and data DVD. Gnome-hal changes the
tree showing a new volume bellow my DVD drive when I load the disc and changes
again removing the volume when I unload the disc for every kind of disc. On
advanced tab, I could even see that the discs are correctly recognized as audio,
video or data CD or DVD. The only difference is that  when I load a CD it is
automounted and autounmounted as you can see on gnome desktop and on
/var/log/messages:
Oct 26 02:51:30 gryffindor hald: mounted /dev/hdc on behalf of uid 500
Oct 26 02:51:48 gryffindor hald: unmounted /dev/hdc from '/media/Showdown' on be
half of uid 500
Comment 8 lisa.schlitt 2006-10-29 19:50:47 EST
I have the same issue,m except I'm using KDE.  CDs work fine, and I get a popup
window and a desktop icon when a disc is inserted.  When I insert a DVD, the
system does not recognize that a disc is present.

An odd thing-Xine and Kaffeine are still able to recognize a movie DVD enough to
play the aduio, but there is no picture

The drive in question is a combo CD-burner/DVD rom, if that makes a difference.
 The same drive worked perfectly in core 5.
Comment 9 Andy Pastuszak 2006-10-30 09:34:40 EST
At work we have narrowed the issue down to DVD-ROM/CD-RW drives, known as "Combo
Drives" by some.  When we took out the combo drive from the CD and put in a
regular DVD-ROM drive, DVDs mounted normally.  Another machines with a combo
drive is also not mounting DVDs.  My machine at home with a DVD Burner in it, is
mounting DVDs normally.
Comment 10 David Zeuthen 2006-10-30 11:28:18 EST
That's weird... if experiencing this issue, please provide

 1. lshal output before putting in a disc
 2. 'lshal --monitor' output
 3. lshal output when the disc is in

Thanks!
Comment 11 David Zeuthen 2006-10-30 12:21:12 EST
to clarify.. in comment 10 bullet 2. I meant

  'lshal --monitor' output when putting in the disc

Thanks!
Comment 12 Marcos Martins da Silva 2006-10-30 20:51:09 EST
Created attachment 139791 [details]
lshal output before loading
Comment 13 Marcos Martins da Silva 2006-10-30 20:56:46 EST
Created attachment 139792 [details]
lshal output after load the disc
Comment 14 Marcos Martins da Silva 2006-10-30 21:01:57 EST
That's the output from lshal --monitor durin loading and unloading several typs
of discs as commented before each operation:
Start monitoring devicelist:
-------------------------------------------------
####loading and unloading a videoDVD
storage_model_HL_DT_ST_RW/DVD_GCC_4521B property
storage.removable.media_available = true
volume_part_1_size_7673870336 added
storage_model_HL_DT_ST_RW/DVD_GCC_4521B property
storage.removable.media_available = false
volume_part_1_size_7673870336 removed

####loading and unloading a DVD-ROM (data)
storage_model_HL_DT_ST_RW/DVD_GCC_4521B property
storage.removable.media_available = true
storage_model_HL_DT_ST_RW/DVD_GCC_4521B property storage.removable.media_size =
828637184 (0x31640000)
volume_part_1_size_828637184 added
storage_model_HL_DT_ST_RW/DVD_GCC_4521B property
storage.removable.media_available = false
volume_part_1_size_828637184 removed

####loading and unloading a CD-ROM (data)
storage_model_HL_DT_ST_RW/DVD_GCC_4521B property
storage.removable.media_available = true
storage_model_HL_DT_ST_RW/DVD_GCC_4521B property storage.removable.media_size =
8308736 (0x7ec800)
volume_label_Meu_Disco added
volume_label_Meu_Disco property volume.mount_point = '/media/Meu Disco'
volume_label_Meu_Disco property volume.is_mounted_read_only = true
volume_label_Meu_Disco property volume.is_mounted = true
storage_model_HL_DT_ST_RW/DVD_GCC_4521B condition EjectPressed = 
storage_model_HL_DT_ST_RW/DVD_GCC_4521B property
storage.removable.media_available = false
volume_label_Meu_Disco property volume.mount_point = ''
volume_label_Meu_Disco property volume.is_mounted_read_only = false
volume_label_Meu_Disco property volume.is_mounted = false
volume_label_Meu_Disco removed

####loading and unloading an audio CD, after few seconds I load totem pops up
ans start playing the CD
storage_model_HL_DT_ST_RW/DVD_GCC_4521B property
storage.removable.media_available = true
storage_model_HL_DT_ST_RW/DVD_GCC_4521B property storage.removable.media_size =
619356160 (0x24eaa000)
volume_part_1_size_619356160 added
storage_model_HL_DT_ST_RW/DVD_GCC_4521B property
storage.removable.media_available = false
volume_part_1_size_619356160 removed
Comment 15 David Zeuthen 2006-10-31 11:16:36 EST
Looks like the bug is that we fail at detecting the file system. From comment 14
it looks like at least on disc works.

Questions (please answer each of them like A1: <the answer>)

 Q1. You have problems with the video-dvd and the dvd-rom yes?

 Q2. The audio CD... do you expect it to be mounted? You probably shouldn't,
there's no file system driver in the Fedora kernel for audio CD's

 Q3. Please provide output of '/lib/udev/vol_id /dev/hdc' (as root) for each
disc you have problems with

Anyone else having problems like these, please provide the same kind of output.
Thanks.

Comment 16 Marcos Martins da Silva 2006-10-31 21:17:48 EST
A1: Yes, just the DVDs, both video-dvd and dvd-rom.

A2: No, of course not. Audio CDs are not really mounted so that I can see or
manipulate its traks as files. I included just to demonstrate the computer's
behavior upon loading different kinds of discs and to emphasize that they are
all recognized by Fedora which takes the suitable action (play audio CDs on
Totem and mount data CDs). Likewise, concerning to DVDs what I would expect from
Fedora is that the correct conduct should be selected, that is: play my
video-dvds on Totem and mount my dvd-rom.

A3:[root@gryffindor ~]# /lib/udev/vol_id /dev/hdc
#### that's the video-dvd
ID_FS_USAGE=filesystem
ID_FS_TYPE=udf
ID_FS_VERSION=
ID_FS_UUID=
ID_FS_LABEL=HARRY_POTTER_GOBLET_OF_FIRE
ID_FS_LABEL_SAFE=HARRY_POTTER_GOBLET_OF_FIRE

[root@gryffindor ~]# /lib/udev/vol_id /dev/hdc
#### That's the DVD I have used to install FC6. So at least for installation it
#### could be mounted. After installation, it can be manually problem with mount
#### on console
ID_FS_USAGE=filesystem
ID_FS_TYPE=iso9660
ID_FS_VERSION=
ID_FS_UUID=
ID_FS_LABEL=FC/6 i386 DVD
ID_FS_LABEL_SAFE=FC6_i386_DVD

[root@gryffindor ~]# /lib/udev/vol_id /dev/hdc
#### That's when I put a CD-ROM. It's correctly automounted. Put here just for
comparison.
ID_FS_USAGE=filesystem
ID_FS_TYPE=iso9660
ID_FS_VERSION=Joliet Extension
ID_FS_UUID=
ID_FS_LABEL=Meu Disco
ID_FS_LABEL_SAFE=Meu_Disco

#### Audio Cds returns nothing to vol_id, as expected. Thanks for your attention.
Comment 17 bossfrog 2006-11-07 08:47:26 EST
I have the same problem as the above.  I am using KDE, but the same result
occurs in Gnome.  DVDs are not recognized when loaded.  They can be mounted
manually, but will not play.  I am using an Hitachi combo CD-RW/DVD-ROM player.

Output of dmesg | grep DVD:
hdc: HL-DT-ST RW/DVD GCC-4480B, ATAPI CD/DVD-ROM drive
hdc: ATAPI 48X DVD-ROM CD-R/RW drive, 2048kB Cache, UDMA(33)

================================================================================
output from 'lshal --monitor' during loading and unloading DVD:
[root@localhost ~]# lshal --monitor

Start monitoring devicelist:
-------------------------------------------------
storage_model_HL_DT_ST_RW/DVD_GCC_4480B property
storage.removable.media_available = true
volume_part_1_size_3751968768 added
storage_model_HL_DT_ST_RW/DVD_GCC_4480B property
storage.removable.media_available = false
volume_part_1_size_3751968768 removed
================================================================================

Output of '/lib/udev/vol_id /dev/hdc':
[root@localhost ~]# /lib/udev/vol_id /dev/hdc
ID_FS_USAGE=filesystem
ID_FS_TYPE=udf
ID_FS_VERSION=
ID_FS_UUID=
ID_FS_LABEL=IWMFD2
ID_FS_LABEL_SAFE=IWMFD2

Thanks
Comment 18 Andrea Stroppolo 2006-11-07 10:45:59 EST
I have the same problem as above. It worked in fc5

A3: [root@ipperit ~]# dmesg|grep DVD
hdc: QSI CD-RW/DVD-ROM SBW-242, ATAPI CD/DVD-ROM drive
hdc: ATAPI 24X DVD-ROM CD-R/RW drive, 2048kB Cache, UDMA(33)
[root@ipperit ~]# lshal --monitor

Start monitoring devicelist:
-------------------------------------------------
storage_model_QSI_CD_RW/DVD_ROM_SBW_242 property
storage.removable.media_available = true
volume_part_1_size_3525214208 added
storage_model_QSI_CD_RW/DVD_ROM_SBW_242 property
storage.removable.media_available = false
volume_part_1_size_3525214208 removed

[root@ipperit ~]# /lib/udev/vol_id /dev/hdc
ID_FS_USAGE=filesystem
ID_FS_TYPE=iso9660
ID_FS_VERSION=
ID_FS_UUID=
ID_FS_LABEL=FC/6 i386 DVD
ID_FS_LABEL_SAFE=FC6_i386_DVD
[root@ipperit ~]#     
Comment 19 Marcos Martins da Silva 2006-11-09 17:25:32 EST
Hi all, I have just installed FC6 on my job machine.
It's a P4 3.0 GHz on a ASUS Motherboard P4P 800-X. It has an ASUS DVD-ROM, so it
just read CDs and DVD. Automount works just fine with video DVDs and data DVDs.
So the problem seems really restricted to CD-RW/DVD-ROM combo drives.
CD-ROM,DVD-ROM,CD-RW,CD-RW/DVD-RW drives are OK.

####Fragment of /var/log/messages when loading and unloading a video DVD
Nov  9 19:39:24 cir-coord-linux kernel: UDF-fs INFO UDF 0.9.8.1 (2004/29/09) Mou
nting volume 'DVD_VIDEO', timestamp 2001/03/27 21:18 (1f88)
Nov  9 19:39:24 cir-coord-linux hald: mounted /dev/hdc on behalf of uid 16777216
Nov  9 19:42:43 cir-coord-linux hald: unmounted /dev/hdc from '/media/DVD_VIDEO'
 on behalf of uid 16777216

####lshal --monitor when loading and unloading a video DVD
Start monitoring devicelist:
-------------------------------------------------
storage_model_ASUS_DVD_ROM_E616 property storage.removable.media_available = true
volume_label_DVD_VIDEO added
volume_label_DVD_VIDEO property volume.mount_point = '/media/DVD_VIDEO'
volume_label_DVD_VIDEO property volume.is_mounted_read_only = true
volume_label_DVD_VIDEO property volume.is_mounted = true
volume_label_DVD_VIDEO property volume.mount_point = ''
volume_label_DVD_VIDEO property volume.is_mounted_read_only = false
volume_label_DVD_VIDEO property volume.is_mounted = false
storage_model_ASUS_DVD_ROM_E616 property storage.removable.media_available = false
volume_label_DVD_VIDEO removed

#### output from /lib/udev/vol_id /dev/hdc
ID_FS_USAGE=filesystem
ID_FS_TYPE=udf
ID_FS_VERSION=
ID_FS_UUID=
ID_FS_LABEL=DVD_VIDEO
ID_FS_LABEL_SAFE=DVD_VIDEO

I have a doubt: I would like to know why this bug is related to hal instead to
autofs since all tools we have tried seems to show hal detects all that is
required for the DVDs automounting.
Comment 20 Marcelo 2006-11-10 15:52:01 EST
Same problem here, using a centrino notebook with a SATA IDE controller and a
DVD-R/CD-RW combo. CDs are automounted as expected, but DVDs are not (neither
Data nor Video DVDs). I can access the DVDs if I mount them manually.
The system is FC6 fully updated and I'm running KDE.
Comment 21 Zoltan Kota 2006-11-13 04:25:47 EST
I have a similar problem on my desktop machine with my CDRW/DVDRW/DVDRAM driver.
Data CD and DVD I tested were automounted, but DVD-RAM was not. It worked fine
with FC3/FC4. Do you need more info/output?
Comment 22 Zoltan Kota 2006-11-13 17:40:10 EST
Created attachment 141117 [details]
Output of lshal and vol_id

OOps. The disk failed on my desktop machine is automounted in my laptop. Otput
of lshal --monitor and vol_id are attached. Outputs orginate using the same
DVD-RAM disk on both machine.
Comment 23 Radek Vokal 2006-11-27 05:57:18 EST
I have FC6 updated from FC5 and all my CDs are mounted as Blank Discs! Lshal outputs
volume_empty_cd_r added

# /lib/udev/vol_id /dev/hdc
ID_FS_USAGE=filesystem
ID_FS_TYPE=iso9660
ID_FS_VERSION=Joliet Extension
ID_FS_UUID=
ID_FS_LABEL=Film
ID_FS_LABEL_SAFE=Film


 
Comment 24 Radek Vokal 2006-11-27 06:09:06 EST
hmm, lshal output looks bad :(
$ lshal | grep dvd
  storage.cdrom.hddvdrw = false  (bool)
  storage.cdrom.hddvdr = false  (bool)
  storage.cdrom.hddvd = false  (bool)
  storage.cdrom.dvdplusrdl = false  (bool)
  storage.cdrom.dvdplusrwdl = false  (bool)
  storage.cdrom.dvdplusrw = false  (bool)
  storage.cdrom.dvdplusr = false  (bool)
  storage.cdrom.dvdram = false  (bool)
  storage.cdrom.dvdrw = false  (bool)
  storage.cdrom.dvdr = false  (bool)
  storage.cdrom.dvd = false  (bool)
Comment 25 Mike Breen 2006-12-28 13:33:28 EST
Same problem here for FC6, was not in FC5.

'blkid' produces the expected output
# blkid /dev/hdc
/dev/hdc: LABEL="LXFDVD88A" TYPE="iso9660"
and it is possible to mount the DVD manually, e.g., using
# mkdir /media/dvd; mount -t iso9660 /dev/hdc /media/dvd
FC6 was installed from a DVD. I downloaded and installed
the latest fc6 rpms for hal and autofs:
rpm -U hal-0.5.8.1-5.fc6.i386.rpm hal-devel-0.5.8.1-5.fc6.i386.rpm
rpm -U autofs-5.0.1-0.rc2.40.i386.rpm
- but even after rebooting, there was still no response to
inserting a DVD. I tried this with both KDE and Gnome.

These lines from /var/log/messages may be relevant:
Dec 28 10:13:25 bluebell kernel: hdc: QSI CD-RW/DVD-ROM SBW-242, ATAPI CD/DVD-RO

Dec 28 10:13:25 bluebell kernel: hdc: ATAPI 24X DVD-ROM CD-R/RW drive, 2048kB Ca
che, UDMA(33)

One thing I notice is that a message appears at boot up
when Logical Volume Manager is starting:
   /dev/hdc: open failed: No medium found
I wrote this down (it wasn't in /var/log/messages) but I
assumed it was 'normal', there being no disc in the drive at
boot up - however it is strange that it appears after
   Setting up Logical Volume Management:
Comment 26 Ian Kent 2006-12-28 19:16:16 EST
(In reply to comment #25)
> Same problem here for FC6, was not in FC5.
> 
> 'blkid' produces the expected output
> # blkid /dev/hdc
> /dev/hdc: LABEL="LXFDVD88A" TYPE="iso9660"
> and it is possible to mount the DVD manually, e.g., using
> # mkdir /media/dvd; mount -t iso9660 /dev/hdc /media/dvd
> FC6 was installed from a DVD. I downloaded and installed
> the latest fc6 rpms for hal and autofs:
> rpm -U hal-0.5.8.1-5.fc6.i386.rpm hal-devel-0.5.8.1-5.fc6.i386.rpm
> rpm -U autofs-5.0.1-0.rc2.40.i386.rpm

autofs shouldn't have anything to do with this unless
you have explicitly configured it to do so. And that
would be a bad idea as hal is much better at this than
autofs.

Ian
Comment 27 Mike Breen 2006-12-29 02:57:53 EST
(In reply to comment #26)
> (In reply to comment #25)
> autofs shouldn't have anything to do with this unless
> you have explicitly configured it to do so.

I didn't but thanks for the info anyway.

So, is it normal form LVM be looking for volume groups on
/dev/hdc or could that somehow be related to the problem?

By the way (In reply to comment #24), lshal gives
  storage.cdrom.dvd = true  (bool)
on my FC6 installation so that's not the problem here.
Comment 28 Ian Kent 2006-12-29 05:10:53 EST
(In reply to comment #27)
> (In reply to comment #26)
> > (In reply to comment #25)
> > autofs shouldn't have anything to do with this unless
> > you have explicitly configured it to do so.
> 
> I didn't but thanks for the info anyway.
> 

Not sure I can help with this question as I'm the
autofs guy and likely don't know much more about
these things than you.

> So, is it normal form LVM be looking for volume groups on
> /dev/hdc or could that somehow be related to the problem?

I think LVM will look at all disks and check for partitions
of type "Linux LVM" when looking for volume groups. There's
a regex in /etc/lvm/lvm.conf (option filter within section
devices) that can be used to make it skip certain devices.
Last time I tried I couldn't quite get it to do what I wanted.
There are some examples in the config file.

Ian
Comment 29 Marcos Martins da Silva 2006-12-30 16:13:59 EST
Hi guys! Happy new year for all of you. I am following this bug from the
beggining. I think the first assumption the problem was with autofs because the
visible fact all we see is that DVDs were not being automounting as expected. So
Ian Kent reassigned the bug to David Zeuthen (hal maintainer). Since then, he
asked some information I think it was provided by me and others. In spite of hal
looking capable to detect not only the DVD insertion but also the correct type
(data or video) I would like to know David's opinion about the bug. I'm clearly
not an expert but if the problem is not in autofs side (as Ian Kent says) nor on
hal side (at least on detect phase), could it be on the bridge between these two
pieces of software? I mean, is there a message hal should pass to autofs or
something else? How can I test this putative message is being sent?
Comment 30 Ian Kent 2007-01-01 11:55:37 EST
(In reply to comment #29)
> Hi guys! Happy new year for all of you. I am following this bug from the
> beggining. I think the first assumption the problem was with autofs because the
> visible fact all we see is that DVDs were not being automounting as expected. So
> Ian Kent reassigned the bug to David Zeuthen (hal maintainer). Since then, he
> asked some information I think it was provided by me and others. In spite of hal
> looking capable to detect not only the DVD insertion but also the correct type
> (data or video) I would like to know David's opinion about the bug. I'm clearly
> not an expert but if the problem is not in autofs side (as Ian Kent says) nor on
> hal side (at least on detect phase), could it be on the bridge between these two
> pieces of software? I mean, is there a message hal should pass to autofs or
> something else? How can I test this putative message is being sent?

There is still a mis-understanding here.

Let me say it again.

autofs has "nothing whatsover" to to with the automounting
performed by hal!

If it is desired to have autofs manage these types of mounts
then hal must be disabled for them and autofs configured
explicitly by the user to manage them.

Ian
Comment 31 Andy Pastuszak 2007-01-01 12:10:35 EST
Well, since I opened the bug, I throught I would chime in.  I really don't care
if autofs or hal does the mounting, as long as putting a DVD-ROM or DVD Video
into a FC6 box with a combo drive mounts the disk properly, I am good.
Comment 32 Marcos Martins da Silva 2007-01-01 12:55:15 EST
Ok Ian thanks for making it clear. Sorry I didn't know the exact participation
of hal and autofs. Now I understand why you say autofs isn't guilty and the
automount feature we missed FC6 was hal's responsibility. Up to now I was seeing
hal as a detection and message layer. Ian, thanks again for paying attention to
us. But at the end of the day I agree with Andy and I really would like to
listen David about this bug. Even something like "yes this is really a bug and
we are working on it!"
 would be better than about two silent months.
Comment 33 Paul 2007-01-02 04:27:12 EST
I've just put FC6 on my desktop after using FC5 on my laptop without problems
despite having a CD/DVD ROM drive.  My desktop also has a CD/DVD ROM drive and I
found the same fault as described that FC6, and specifically HAL didn't identify
and mount DVDs in that drive, only CDs.

After a bit of hacking about I've made a HAL policy (a .fdi file) which I've put
in a new subdirectory off /usr/share/hal/fdi/policy/ called 95userpolicy.  It's
attached (I hope!) called DVDfix.fdi.  It's pretty thoroughly commented and
seems to include as little as I can get away with (although frankly, I have very
little clue about what the mount options mean!).  I've spent a bit of time
testing it and it lets audio & data CDs operate normally in the drive, as well
as ensuring that video & data DVD-ROMs get mounted.

It's currently set to work only if the device.model of your DVD/CD drive
includes the text DVDROM (any case).  If any of the drives this error's
affecting don't include that it's easy to alter anyway.

Let me know if this works for people please! (it's my first patch/hack)
Comment 34 Paul 2007-01-02 04:33:41 EST
Created attachment 144629 [details]
Possible fix for HAL DVD recognition problem
Comment 35 Paul 2007-01-02 04:40:35 EST
In the six minutes between my comment and uploading I re-read an entry on
FedoraForum.org and noticed someone had seen this problem with a device.model
including only DVD (not DVDROM as I specified), so I've changed it.  It should
only run the policy if no filesystem is detected on the disc, so I'm hoping it
won't interfere with other DVD drives that don't have a problem!
Comment 36 Marcos Martins da Silva 2007-01-02 20:21:55 EST
Paul (muadib from Dune?), your fix works fine for me. I have just to change
"DVDROM" to "RW/DVD" on the first part of your file due to my device name. The
second part when you seeks for "DVD" I didn't changed. Now FC6 is automounting
every media I have tried (cd audio, cdrom, dvd video and dvdrom). Just one
glitch: a media mounted by an user cannot be umounted by another one. That is I
insert a disc, FC6 automounts it, I finish my session and another user logs on.
This new user can play the dvd or read the data but he cannot umount the media.
I'm pretty sure it is related to mount options you included in the fix and
perhaps you or another user would be able to solve it. But the final point is
that you fixed the problem!! I think that's an excellent example of the
advantages of open source: users can find and report bugs witch can be fixed by
other users.
Comment 37 Mike Breen 2007-01-03 13:50:13 EST
(In reply to comment #33)
Thanks, Paul. Unfortunately, it didn't work here;
I strongly suspect people are experiencing this problem for
different reasons. 
It did however succeed in producing an icon and prompt...
On disc insertion, got the following to stderr (in an 'su' shell):
  libhal.c 1369 : property 'volume.ignore' for device ... not of type bool
so I changed the volume.ignore line in DVDfix.fdi to:
  <merge key="volume.ignore" type="bool">false</merge>
I also removed an extraneous '-->' from near the end of the file.
The libhal error message disappeared after that.
The icon that appeared was a DVD with a film (movie) reel
(though the DVD contains no film, just files);
I had an 'su' shell going so two GUI prompts appeared inviting me
to mount the DVD; neither one worked: attempting to mount from the
prompt for the root login resulted in the following console errors
*** attempt to put segment in horiz list twice
OggS-SEEK: at 704 want 47096 got 23104 (diff-requested 46392)
OggS-SEEK: at 47040 want 1032 got 0 (diff-requested -46008)
The GUI error messages from both were the same and indicate that
the mount options were wrong (for one thing, it seems to be trying
to mount a DVD ROM as writable) - but they don't say what the 
options used were.
Neither was there anything in /var/log/messages.
Contrary to this bug's title, I'm using KDE if that's relevant.
I removed Paul's .fdi file and did lshal with and without a DVD
being inserted (will attach abbreviated output); I don't see any
reason for the problem in the lshal output.
I will have leave this to the experts as I don't have time to
experiment further with something I have no knowledge of...
Comment 38 Mike Breen 2007-01-03 13:54:46 EST
Created attachment 144725 [details]
lshal output, no disc in drive
Comment 39 Mike Breen 2007-01-03 13:57:08 EST
Created attachment 144726 [details]
lshal o/p - DVD in drive
Comment 40 Bernd 2007-01-03 17:48:41 EST
pktcdvd.ko missing in i586 ?

Just bought my first dvd-ram drive and now am following an How-To. Doing this, I
found that the kernel module "pktcdvd.ko" is available for FC6 in the i686 but
not the i586 kernel packages. Is this an issue?

## kernel-2.6.18-1.2849.fc6.i586.rpm ##
-- missing --
## kernel-2.6.18-1.2849.fc6.i686.rpm ##
/lib/modules/2.6.18-1.2849.fc6/kernel/drivers/block/pktcdvd.ko
## kernel-2.6.18-1.2868.fc6.i586.rpm ##
-- missing --
## kernel-2.6.18-1.2868.fc6.i686.rpm ##
/lib/modules/2.6.18-1.2868.fc6/kernel/drivers/block/pktcdvd.ko
## kernel-2.6.18-1.2869.fc6.i586.rpm ##
-- missing --
## kernel-2.6.18-1.2869.fc6.i686.rpm ##
/lib/modules/2.6.18-1.2869.fc6/kernel/drivers/block/pktcdvd.ko
Comment 41 Paul 2007-01-04 10:47:34 EST
Created attachment 144809 [details]
Improved potential fix for HAL DVD bug.  Place in /usr/share/hal/fdi/information/95userpolicy/
Comment 42 Paul 2007-01-04 10:53:59 EST
Marcos - I'm glad it worked.  It looks like we have the same bug.  I found that
by putting the fix file in /usr/share/hal/fdi/information/95userpolicy   
(information instead of policy) I can remove most of the details and maintain
function.  I've uploaded this file (which is hopefully freer of typos too!).

Mike - I agree that there's a difference, and doubt that this file will work any
better.  Part of the difference seems to be that your system recognises there's
a valid filesystem on the DVD, but it doesn't for Marcos or me.  Similarity is
that the label of the disc isn't read (so info.product = Volume, instead of the
disc label) and obviously that it fails to mount it automatically.

Bernd - No idea!  Unless the problem is about the drive automatically mounting
discs, the question's probably better placed in forum.fedoraforum.org.
Comment 43 Marcos Martins da Silva 2007-01-04 22:44:07 EST
Hi Paul. Your improved fix, since it is restricted to the broken point, works
pretty fine for me just as the first one. The annoyance I reported before (you
cannot umount a disk mounted by another user) looks intentional and not a bug.
The message error hal returns says it's prohibited by a policy. In fact if you
ls -lia at /media you will find a .hal-mtab file. If you read it you will find
that the user ID who invokes hal-storage-mount upon disk insertion is listed as
a mount option in the line which refers to the disk automounted. So I guess
that's because Gnu/Linux is a multiuser system. So if a user is using the the
removable media when a second user tries to umount it that would be a real and
bigger problem. According to my tests, no problem if you forget the media on
drive when you power off or reboot your computer: the owner of the media is the
first user who logs in.
Once more, thanks Paul. For me this bug is past but I would like to know if your
fix also worked for Andy, who initially reported it.
Comment 44 bossfrog 2007-01-05 00:28:41 EST
Paul,

My thanks to you also.  After installing your revised attachment file in your 
newly suggested directory, an icon appeared on the desktop, and the disk's 
contents could be viewed with a file browser.  However, when I tried to access 
the DVD with Xine, no DVD option was available and I got an error message 
regarding no plugin available for: /usr/share/xine/skins/xine-ui_logo.mpv.

This problem can be resolved by downloading "xine-lib-extras-nonfree" from the 
Livna repository.  See
http://forums.fedoraforum.org/forum/showthread.php?t=141276 for further 
information.
Comment 45 Andy Pastuszak 2007-01-05 06:43:34 EST
Sad to say I can't test the fix because I removed the DVD/CD-RW drive from the
box and put in a standard DVD-ROM and the problem went away for me.  I will have
a coworker try it at work and see what happens.
Comment 46 Andrea Stroppolo 2007-01-05 08:11:41 EST
Thanks to the people who's collaborating on this issue, but the fix doesn't work
for me.
The insertion of the disk in the driver is recognised, but mount fails with the
message:
Method "Mount" with signature "ssas" on interface
"org.freedesktop.Hal.Device.Volume" doesn't exist

Any suggestions welcome,
Andrea

<OT>
I do not agree completely with the comment by Marcos Martins da Silva regarding
the advantages of open source. I appriciate collaboration, indeed, and I'm
thankful to people who proposed and tuned this fix.
But this FC6 really broke everything on my pc. It started with the wrong kernel
modules, it broke the graphics card, it broke DVD, it broke modem, it broke...
All of these worked in FC5, most was working in FC4.
What I find hard to accept is the fact that, months after the bug opening,
developers didn't prove useful. The discussion is just if it is a HAL or a
autofs or something else... no-one provided an idea on HOW to solve the issue.
From a dumb user point of view this is not useful for me: I had it working in
FC5, it is broken in FC6.
I like linux, I use since 1997, probably time to change distribution, for me.
</OT>
Comment 47 Paul 2007-01-05 09:37:18 EST
Andrea - Two suggestions:-
1. Make sure that the small, second fix file is in in 
the /information/95userpolicy directory since HAL (for me) attaches the 
appropriate methods between processing the information directory and the policy 
directory.

2. If that isn't the problem and if you haven't already, then try the first 
version of the fix file which also adds the methods (mount & unmount).

This is only meant to be a temporary work-around until someone expert enough to 
debug the code can patch it properly (btw - seems like the real problem is 
between HAL volume probing code & libvolume_id code since the common problem is 
failure to identify filesystem and/or disc label)
Comment 48 Mike Breen 2007-01-06 09:31:24 EST
(In reply to comment #42)

> Mike - I agree that there's a difference, and doubt that this file will work 
any
> better.

Actually, I just tried it anyway - and it worked.
Although it still shows a filmreel icon for a DVD not containing a film
and it mounts it at /media/disk instead of /media/<vol-label>, the icon
does appear and the disk is successfully mounted at the prompt.
Thank you very much, Paul. 
(Beware: you may now officially be the expert.)
Comment 49 Neil Watson 2007-01-09 15:43:44 EST
The improved patch works for me with a small change made to it. I am using an
external USB CD/DVD writer, lsusb returns it as ID 046e:3002 Behavior Tech.
Computer Corp.


The change I made was to the the line in the improved patch
<match key="@block.storage_device:storage.model" contains_ncase="DVD">
to
<match key="block.storage_device" contains_ncase="DVD">

I did this because I looked through all the entries in the lshal output for my
particular dvd devic and matched them up to the criteria the improved patch.  To
do this I did a lshal --monitor and ejected and inserted my dvd to find out
where I should look. In my case it was

storage_serial_DVDRW_USB1008UI_03010522400000005778 property
storage.removable.media_available = true
volume_part_1_size_4675829760 added

So I went to the "udi =
'/org/freedesktop/Hal/devices/volume_part_1_size_4675829760' " section of the
lshal output.  As you can see, the first three criteria match but the
storage.model entry is blank, and does not match "dvd"

block.is_volume = true
volume.fsusage = ''
block.storage_device =
'/org/freedesktop/Hal/devices/storage_serial_DVDRW_USB1008UI_03010522400000005778'
storage.model = ''

So after making the change as I described to the .fdi file lshal --monitor
output is all follows on a dvd insertion

storage_serial_DVDRW_USB1008UI_03010522400000005778 property
storage.removable.media_available = true
volume_part_1_size_4675829760 added
volume_part_1_size_4675829760 property volume.mount_point = '/media/disk'
volume_part_1_size_4675829760 property volume.is_mounted_read_only = true
volume_part_1_size_4675829760 property volume.is_mounted = true

and I get the dvd icon on the gnome desktop.

Many thanks for the pointer in the right direction, I am not sure of the
technical implications of what I did, just that it seems to work.
Comment 50 Daniel Soares 2007-01-10 12:59:31 EST
Hello all,

I have tryed the "improved fix" without immediate success. Then I figured out
that the disc I was trying to mount was created with UDF extensions too. I could
finally have things working fine after modifying the following line of the
improved fix:

<merge key="volume.fstype" type="string">iso9660</merge>

to this:

<merge key="volume.fstype" type="string">udf</merge>

Thanks and good luck.

Daniel
Comment 51 Mark Fraser 2007-01-15 04:02:04 EST
I'm having the same problem as Andrea in comment 46:
Method "Mount" with signature "ssas" on interface
"org.freedesktop.Hal.Device.Volume" doesn't exist

I have tried the first fix, but this just produces the error "an unknown error
occured"
Comment 52 Mark Fraser 2007-01-15 04:11:03 EST
(In reply to comment #51)
> I'm having the same problem as Andrea in comment 46:
> Method "Mount" with signature "ssas" on interface
> "org.freedesktop.Hal.Device.Volume" doesn't exist
> 
> I have tried the first fix, but this just produces the error "an unknown error
> occured"

Cancel that, I've just realised I'd put the file in the wrong place!! It works
ok now.
Comment 53 Quinten Smith 2007-01-25 13:19:16 EST
I've been experiencing the same problems. However, mine is NOT a combo drive.
It's just a plain, old DVD/CD reader. No burning capabilities at all. But, like
the rest, it can be manually mounted and read just fine. Now, I've used the
"fix" posted (The 95userpolicy file) and it works just fine. Of course, I'd
still like to see the system work properly without the workaround.

However, I just noticed today that it isn't limitted to the DVD drive. My SD/MMC
card reader is doing exactly the same thing. Naturally, there's no icon in the
file browser for the card reader when it isn't plugged in. If you watch, though,
you'll see it appear for a brief instant, then disappear just like the DVD icon.
Again, it can still be mounted manually and used. My USB pen drive automounts
and works just fine, though. It's just the SD card reader.

FC6, Gnome. In case it matters.
Linux Newbies forever!
Comment 54 Martin Tullier 2007-01-30 19:40:49 EST
I have the similar problem as stated above. iso9660 DVD doesn't mount in
external combo drive CDrom reader-burner, DVD reader-burner.  Looking at the
hald verbose output I found that the offset used when searching for the
filesystem is only different for the external iso9660 DVD:
Jan 30 18:59:05 localhost hald-probe-volume: 4243: 18:59:05.287: iso9660.c:62
probing at offset 0xfffb5000 

The internal comb drive (different mfg otherwise similar) will mount DVD and
CDrom disks using this offset:
Jan 30 18:57:34 localhost hald-probe-volume: 4188: 18:57:34.313: iso9660.c:62
probing at offset 0x0
The external combo drive will mount CDroms using as offset of 0x0.  Could this
difference be causing the problem not finding the filesystem?

See attachments
Comment 55 Martin Tullier 2007-01-30 19:55:25 EST
Created attachment 146988 [details]
verbose hald output showing internal and external cdrom & dvd attempts

hald verbose output is listed as USB external DVD, internal DVD, USB external
CDrom, internal CDrom

To get he hald verbose output I modified the file the file
/etc/rc.d/init.d/haldaemon by appending to the "daemon" line in the startup
section with " --verbose=yes --use-syslog"

Only the USB external DVD used an offset different that "0x0"
Comment 56 Martin Tullier 2007-01-30 19:56:12 EST
Created attachment 146989 [details]
verbose hald output showing internal and external cdrom & dvd attempts

hald verbose output is listed as USB external DVD, internal DVD, USB external
CDrom, internal CDrom

To get he hald verbose output I modified the file the file
/etc/rc.d/init.d/haldaemon by appending to the "daemon" line in the startup
section with " --verbose=yes --use-syslog"

Only the USB external DVD used an offset different that "0x0"
Comment 57 Martin Tullier 2007-01-30 19:56:35 EST
Created attachment 146990 [details]
verbose hald output showing internal and external cdrom & dvd attempts

hald verbose output is listed as USB external DVD, internal DVD, USB external
CDrom, internal CDrom

To get he hald verbose output I modified the file /etc/rc.d/init.d/haldaemon by
appending to the "daemon" line in the startup section with " --verbose=yes
--use-syslog"

Only the USB external DVD used an offset different that "0x0"
Comment 58 Alex Sunekants 2007-01-31 16:06:07 EST
Hi people... I'm a complete noob tolinux in general, and I don't understand half
of what is said here, however I'm experiencing the very same bug on my comp.
It doesn't have a sata controller, just 2 ide's, and the drive is a cd-rw/dvd-r
drive, sitting at secondary slave (hdd).
I would be very grateful if anyone would take a couple of minutes, and tell the
dumb me what exactly to do with the fix posted here? 
Comment 60 Salamandra 2007-02-21 13:51:18 EST
I have the same problem, solved using Paul's solution. Autofs has been updated,
and the kernel too and the problem is stil there.

Hope it will be solved soon.

Thanks for your effort.
Comment 61 Matthias Clasen 2007-04-17 15:05:54 EDT
Are people still seeing this in current rawhide ?
Comment 62 Martin Tullier 2007-05-07 09:33:29 EDT
Yes, I am still having the same problem. I am current with FC6:Linux version
2.6.20-1.2948.fc6 (brewbuilder@hs20-bc1-6.build.redhat.com) 
Comment 63 Victor Mendonca 2007-05-16 22:25:20 EDT
I'm also having the same problem on a brand new install (Installed this Saturday).
2.6.20-1.2948.fc6
Comment 64 Bug Zapper 2008-04-04 00:11:04 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 65 Bug Zapper 2008-05-06 12:35:05 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.